package cn.reghao.autodop.common.msg;

import cn.reghao.autodop.common.msg.pub.dto.node.constant.AppId;

/**
 * @author reghao
 * @date 2021-09-14 17:10:31
 */
public class MsgQueue {
    public static String dmasterTopic() {
        return String.format("sub.%s", AppId.dmaster.name());
    }

    public static String dagentTopic(String nodeId) {
        return String.format("rpc.%s.%s", nodeId, AppId.dagent.name());
    }
}
